<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link rel="stylesheet" type="text/css" href="assets/css/reset.css" />
    <link rel="stylesheet" type="text/css" href="assets/css/style.css" />

</head>
<body>
    <main>
        <h1>reken<span>sommen</span></h1>
       <section id="app" v-cloak>
        <div>
            <button @click="start" v-show="exercises.length == 0">start</button>
        </div>
            <div>
                <ul class="exercises">
                    <li v-for="exercise in exercises">
                        <span v-show="exercise.score === 0" style="color: red;">
                            !
                        </span>
                        <span v-show="exercise.score === 1" style="color: green;">
                            V
                        </span>
                        <span>{{ exercise.left }}</span> <span>{{ exercise.operator }}</span> <span>{{ exercise.right }}</span> <span>=</span> <span><input type="number" v-model="exercise.guess"/></span>
                    </li>
                </ul>
            </div>
            <div v-show="exercises.length">
                <button @click="ready" >klaar</button>
                <button @click="start" v-if="total == exercises.length">opnieuw</button>
                <div class="total">
                    {{ total }} op {{ exercises.length }}
                </div>
            </div>
       </section>
    </main>
    <script src="https://unpkg.com/vue@next"></script>
    <script src="assets/js/script.js"></script>
</body>
</html>